Wb debian stretch. apt update

Здравствуйте.

root@wirenboard-AYIZDERS:~# apt update
Ign:1 http://deb.debian.org/debian stretch InRelease
Ign:2 http://deb.debian.org/debian stretch-updates InRelease
Ign:3 http://security.debian.org stretch/updates InRelease
Err:4 http://security.debian.org stretch/updates Release
  404  Not Found
Ign:5 http://cdn-fastly.deb.debian.org/debian stretch-backports InRelease
Err:6 http://deb.debian.org/debian stretch Release
  404  Not Found
Err:8 http://deb.debian.org/debian stretch-updates Release
  404  Not Found
Err:7 http://cdn-fastly.deb.debian.org/debian stretch-backports Release
  404  Not Found
Get:9 http://deb.wirenboard.com/wb7/stretch stable InRelease [3939 B]
Get:10 http://deb.wirenboard.com/wb7/stretch stable/main armhf Packages [47.9 kB]
Reading package lists... Done
E: The repository 'http://security.debian.org stretch/updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://deb.debian.org/debian stretch Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://deb.debian.org/debian stretch-updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://http.debian.net/debian stretch-backports Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@wirenboard-AYIZDERS:~# ^C
root@wirenboard-AYIZDERS:~# ping ya.ru
PING YA.ru (5.255.255.242) 56(84) bytes of data.
64 bytes from ya.ru (5.255.255.242): icmp_seq=1 ttl=53 time=49.0 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=2 ttl=53 time=48.7 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=3 ttl=53 time=48.8 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=4 ttl=53 time=48.8 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=5 ttl=53 time=48.7 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=6 ttl=53 time=48.8 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=7 ttl=53 time=48.9 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=8 ttl=53 time=48.9 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=9 ttl=53 time=48.8 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=10 ttl=53 time=48.7 ms
64 bytes from ya.ru (5.255.255.242): icmp_seq=11 ttl=53 time=48.9 ms
^C
--- YA.ru ping statistics ---
11 packets transmitted, 11 received, 0% packet loss, time 10013ms
rtt min/avg/max/mdev = 48.712/48.862/49.088/0.168 ms
root@wirenboard-AYIZDERS:~#

Интернет есть. Это лог только прошитого борда, пробовал два разных источника интернета, и несколько прошивок. Просто нужен именно 9 Debian…

Что предпринимать, подскажите пожалуйста?

1 Like

Добрый день.

Решение проблемы обновлений в Debian stretch

В начале этой недели репозитории Debian stretch переехали в archive.debian.org, из-за чего начались проблемы с обновлениями на контроллерах Wiren Board со старыми релизами.

Мы подготовили исправление, для этого в консоли выполните:

apt update

Проигнорируйте ошибки, затем выполните

apt install wb-configs

Если всё прошло штатно, то после этого apt update будет завершаться без ошибок.

Если списки когда-то были отредактированы вручную, нужно заменить deb.debian.org на archive.debian.org в адресе репозитория.

Но советую переходить на актуальный релиз.

2 Likes

Эта тема была автоматически закрыта через 7 дней после последнего ответа. В ней больше нельзя отвечать.